CKDIST(1)

NAME
ckdist - check software distributions

SYNOPSIS
ckdist [-airsx] [-d dir] [-n name] [-t type] file ...

DESCRIPTION
The ckdist utility reads "checksum" files (which are assumed to specify components of a software distribution) and verifies the integrity of the distribution by validating the checksum of each component file. Both MD5 (128-bit "message digest") and .inf (32-bit CRC) checksum formats are supported.

The file operands may refer to regular files or to directories. Regular files named "md5", or which have an ".md5" or an ".inf" extension, are assumed to be of the implied type, otherwise format is determined from content. If a directory is specified, it is searched for appropriately-named files only.

Options are as follows:

-a  Report on all distribution components, not just those in respect of which errors are detected.

-i  Ignore missing distribution components.

-r  Search specified directories recursively.

-s  Suppress complaints about inaccessible checksum files and directories.

-x  Verify the existence of distribution components (and also check sizes, in the case of .inf files), but omit the more time-consuming step of actually computing and comparing checksums.

-d dir
    Look for distribution components in the directory dir.

-n name
    Access distribution components using the filename name. (When accessing .inf file components, append the appropriate extension to the filename.)

-t type
    Assume that all specified checksum files are of the format type, and search directories only for files in this format (where type is either "md5" or "inf").

SEE ALSO
cksum(1), md5(1)

DIAGNOSTICS
Exit status is 0 if no errors were detected, 1 if errors were found in a distribution, and 2 if usage errors, inaccessible input files, or other system errors were encountered.

NOTES
Both BSD and DOS versions of ckdist are available.